%global __requires_exclude pear\\(tests/CodeSniffer.php\\)|pear\\(tests/PHP_CodeSniffer/CodeSniffer.php\\)|pear\\(/some/path.php\\)
%define     _class PHP
%define     _subclass CodeSniffer
%define  upstream_name %{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary:	PHP_CodeSniffer tokenises PHP, JavaScript and CSS files and detects violations of a defined set of coding standards
Name:		php-pear-%{upstream_name}
Version: 	3.7.2
Release: 	%mkrel 2
License: 	BSD 3-Clause License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
URL: 		https://pear.php.net/package/PHP_CodeSniffer
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear

BuildArch: noarch

%description
PHP_CodeSniffer is a PHP5 script that tokenises PHP, JavaScript and CSS
files to detect violations of a defined coding standard. It is an essential
development tool that ensures your code remains clean and consistent. It
can also help prevent some common semantic errors made by developers.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml

rm -rf %{buildroot}%{_datadir}/pear/.??*
rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

        
%files
%{_bindir}/phpcs
%{_bindir}/phpcbf
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}/%{_subclass}.conf.dist
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.7.2-2.mga10
+ Revision: 2220789
- Mageia 10 Mass Rebuild

* Wed Dec 27 2023 mokraemer <mokraemer> 3.7.2-1.mga10
+ Revision: 2022186
- new version 3.7.2

* Sat Jun 18 2022 mokraemer <mokraemer> 3.7.1-1.mga9
+ Revision: 1864752
- new version 3.7.1

* Mon Jun 13 2022 mokraemer <mokraemer> 3.7.0-1.mga9
+ Revision: 1864319
- new version 3.7.0

* Wed Mar 23 2022 umeabot <umeabot> 3.6.2-2.mga9
+ Revision: 1820992
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 mokraemer <mokraemer> 3.6.2-1.mga9
+ Revision: 1761891
- new version 3.6.2

* Sun Oct 24 2021 mokraemer <mokraemer> 3.6.1-1.mga9
+ Revision: 1752765
- new version 3.6.1

* Fri Apr 09 2021 mokraemer <mokraemer> 3.6.0-1.mga9
+ Revision: 1714205
- new version 3.6.0

* Mon Aug 10 2020 mokraemer <mokraemer> 3.5.6-1.mga8
+ Revision: 1613165
- new version 3.5.6

* Thu Feb 20 2020 umeabot <umeabot> 3.5.4-2.mga8
+ Revision: 1546101
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 mokraemer <mokraemer> 3.5.4-1.mga8
+ Revision: 1485887
- new version 3.5.4

* Thu Dec 05 2019 mokraemer <mokraemer> 3.5.3-1.mga8
+ Revision: 1464619
- new version 3.5.3

* Mon Oct 28 2019 mokraemer <mokraemer> 3.5.2-1.mga8
+ Revision: 1456316
- new version 3.5.2

* Mon Jan 21 2019 mokraemer <mokraemer> 3.4.0-2.mga7
+ Revision: 1359045
- better build script

* Tue Jan 15 2019 mokraemer <mokraemer> 3.4.0-1.mga7
+ Revision: 1357074
- new version 3.4.0
+ spuhler <spuhler>
- rectified naming to comply with policy
- upgrade to ver. 2.0.0RC4
 * lots of bug fixes since a2

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0a2-5.mga5
+ Revision: 742100
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.0.0a2-4.mga5
+ Revision: 734157
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 2.0.0a2-3.mga5
+ Revision: 725196
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0a2-2.mga5
+ Revision: 687422
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Jul 06 2014 spuhler <spuhler> 2.0.0a2-1.mga5
+ Revision: 644048
- added %%{_bindir}/phpcbf to files section
- upgrade to ver. 2.0.0a2

* Wed Feb 05 2014 spuhler <spuhler> 1.5.1-2.mga5
+ Revision: 583578
- added _requires_exceptions

* Wed Feb 05 2014 spuhler <spuhler> 1.5.1-1.mga5
+ Revision: 582924
- imported package php-pear-PHP_CodeSniffer

